%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pypoker-eval
Version:        135.0
Release:        1%{?dist}
Summary:        Python interface to poker-eval

Group:          Development/Libraries
License:        GPLv2+
URL:            http://pokersource.org/pypoker-eval
Source0:        http://download.gna.org/pokersource/sources/%{name}-%{version}.tar.gz

BuildRequires:  python-devel poker-eval-devel >= 124.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package is python adaptor for the poker-eval toolkit for
writing programs which simulate or analyze poker games.

%package devel
Summary:        Files needed for developing programs which use pypoker-eval
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains files required to build applications that use
pypoker-eval.


%prep
%setup -q

# make examples directory for devel %doc
mkdir -p tmp/examples
cp test.py tmp/examples


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove libtool archives
rm -f $RPM_BUILD_ROOT%{python_sitearch}/*.la


%check
%{__python} test.py


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/*.so*
%{python_sitearch}/*.py*


%files devel
%defattr(-,root,root,-)
%doc tmp/examples
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Mar 31 2008 Christopher Stone <chris.stone@gmail.com> 135.0-1
- Upstream sync
- Update License

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 134.0-2
- Autorebuild for GCC 4.3

* Wed May 23 2007 Christopher Stone <chris.stone@gmail.com> 134.0-1
- Upstream sync
- Remove libtool archive instead of %%excluding it

* Fri Dec 08 2006 Christopher Stone <chris.stone@gmail.com> 133.0-1
- Upstream sync

* Sun Sep 10 2006 Christopher Stone <chris.stone@gmail.com> 132.0-3
- Move .so file into main package
- Remove system call macros

* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 132.0-2
- No longer %%ghost pyo files. Bug #205399

* Fri Sep 01 2006 Christopher Stone <chris.stone@gmail.com> 132.0-1
- New release

* Tue Aug 29 2006 Christopher Stone <chris.stone@gmail.com> 131.0-6
- fc6 rebuild

* Sun Jun 11 2006 Christopher Stone <chris.stone@gmail.com> 131.0-5
- Remove %%makeinstall macro
- Add pkgconfig to devel Requires
- Remove pkgconfig from BuildRequires since poker-eval-devel picks it up

* Wed May 31 2006 Christopher Stone <chris.stone@gmail.com> 131.0-4
- Add missing Build Requires
- Use macros for system commands

* Fri May 12 2006 Christopher Stone <chris.stone@gmail.com> 131.0-3
- Place unversioned .so link in -devel package

* Sun Apr 23 2006 Christopher Stone <chris.stone@gmail.com> 131.0-2
- Updated URL and Source0 links
- Added %%check section
- Include test.py in devel %%doc
- Updated Summary and %%description
- Removed unneeded BuildRequires and Requires

* Wed Mar 29 2006 Loic Dachary <loic at gnu.org> - 131.0-1
- upstream sync

* Sun Mar 26 2006 Christopher Stone <chris.stone@gmail.com> 130.0-1
- Initial RPM release
